All Classes Namespaces Functions Variables Pages
DrudeLangevinIntegrator Class Reference

This Integrator simulates systems that include Drude particles. More...

Inheritance diagram for DrudeLangevinIntegrator:

## Public Member Functions

def | getTemperature
| getTemperature(DrudeLangevinIntegrator self) -> double More...
def | setTemperature
| setTemperature(DrudeLangevinIntegrator self, double temp) More...
def | getFriction
| getFriction(DrudeLangevinIntegrator self) -> double More...
def | setFriction
| setFriction(DrudeLangevinIntegrator self, double coeff) More...
def | getDrudeTemperature
| getDrudeTemperature(DrudeLangevinIntegrator self) -> double More...
def | setDrudeTemperature
| setDrudeTemperature(DrudeLangevinIntegrator self, double temp) More...
def | getDrudeFriction
| getDrudeFriction(DrudeLangevinIntegrator self) -> double More...
def | setDrudeFriction
| setDrudeFriction(DrudeLangevinIntegrator self, double coeff) More...
def | getRandomNumberSeed
| getRandomNumberSeed(DrudeLangevinIntegrator self) -> int More...
def | setRandomNumberSeed
| setRandomNumberSeed(DrudeLangevinIntegrator self, int seed) More...
def | step
| step(DrudeLangevinIntegrator self, int steps) More...
def | __init__
| init(OpenMM::DrudeLangevinIntegrator self, double temperature, double frictionCoeff, double drudeTemperature, double drudeFrictionCoeff, double stepSize) -> DrudeLangevinIntegrator init(OpenMM::DrudeLangevinIntegrator self, DrudeLangevinIntegrator other) -> DrudeLangevinIntegrator More...
def | __del__
| del(OpenMM::DrudeLangevinIntegrator self) More...
Public Member Functions inherited from Integrator
def | __init__
def | __del__
| del(OpenMM::Integrator self) More...
def | getStepSize
| getStepSize(Integrator self) -> double More...
def | setStepSize
| setStepSize(Integrator self, double size) More...
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double More...
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol) More...
def | step
| step(Integrator self, int steps) More...
def | __getstate__
def | __setstate__

## Public Attributes

| this
Public Attributes inherited from Integrator
| this

## Detailed Description

This Integrator simulates systems that include Drude particles.

It applies two different Langevin thermostats to different parts of the system. The first is applied to ordinary particles (ones that are not part of a Drude particle pair), as well as to the center of mass of each Drude particle pair. A second thermostat, typically with a much lower temperature, is applied to the relative internal displacement of each pair.

This Integrator requires the System to include a DrudeForce, which it uses to identify the Drude particles.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::DrudeLangevinIntegrator self, double temperature, double frictionCoeff, double drudeTemperature, double drudeFrictionCoeff, double stepSize) -> DrudeLangevinIntegrator init(OpenMM::DrudeLangevinIntegrator self, DrudeLangevinIntegrator other) -> DrudeLangevinIntegrator

Create a DrudeLangevinIntegrator.

Parameters

  temperature | the temperature of the main heat bath (in Kelvin)
  frictionCoeff | the friction coefficient which couples the system to the main heat bath (in inverse picoseconds)
  drudeTemperature | the temperature of the heat bath applied to internal coordinates of Drude particles (in Kelvin)
  drudeFrictionCoeff | the friction coefficient which couples the system to the heat bath applied to internal coordinates of Drude particles (in inverse picoseconds)
  stepSize | the step size with which to integrator the system (in picoseconds)

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::DrudeLangevinIntegrator self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getDrudeFriction | ( |  | self,
|  |  | args
| ) |  |

getDrudeFriction(DrudeLangevinIntegrator self) -> double

Get the friction coefficient which determines how strongly the internal coordinates of Drude particles are coupled to the heat bath (in inverse ps).

References simtk.openmm.openmm.stripUnits().

def getDrudeTemperature | ( |  | self,
|  |  | args
| ) |  |

getDrudeTemperature(DrudeLangevinIntegrator self) -> double

Get the temperature of the heat bath applied to internal coordinates of Drude particles (in Kelvin).

References simtk.openmm.openmm.stripUnits().

def getFriction | ( |  | self,
|  |  | args
| ) |  |

getFriction(DrudeLangevinIntegrator self) -> double

Get the friction coefficient which determines how strongly the system is coupled to the main heat bath (in inverse ps).

References simtk.openmm.openmm.stripUnits().

def getRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

getRandomNumberSeed(DrudeLangevinIntegrator self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

References simtk.openmm.openmm.stripUnits().

def getTemperature | ( |  | self,
|  |  | args
| ) |  |

getTemperature(DrudeLangevinIntegrator self) -> double

Get the temperature of the main heat bath (in Kelvin).

References simtk.openmm.openmm.stripUnits().

def setDrudeFriction | ( |  | self,
|  |  | args
| ) |  |

setDrudeFriction(DrudeLangevinIntegrator self, double coeff)

Set the friction coefficient which determines how strongly the internal coordinates of Drude particles are coupled to the heat bath (in inverse ps).

Parameters

  coeff | the friction coefficient, measured in 1/ps

References simtk.openmm.openmm.stripUnits().

def setDrudeTemperature | ( |  | self,
|  |  | args
| ) |  |

setDrudeTemperature(DrudeLangevinIntegrator self, double temp)

Set the temperature of the heat bath applied to internal coordinates of Drude particles (in Kelvin).

Parameters

  temp | the temperature of the heat bath, measured in Kelvin

References simtk.openmm.openmm.stripUnits().

def setFriction | ( |  | self,
|  |  | args
| ) |  |

setFriction(DrudeLangevinIntegrator self, double coeff)

Set the friction coefficient which determines how strongly the system is coupled to the main heat bath (in inverse ps).

Parameters

  coeff | the friction coefficient, measured in 1/ps

References simtk.openmm.openmm.stripUnits().

def setRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

setRandomNumberSeed(DrudeLangevinIntegrator self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

If seed is set to 0 (which is the default value assigned), a unique seed is chosen when a Context is created from this Force. This is done to ensure that each Context receives unique random seeds without you needing to set them explicitly.

References simtk.openmm.openmm.stripUnits().

def setTemperature | ( |  | self,
|  |  | args
| ) |  |

setTemperature(DrudeLangevinIntegrator self, double temp)

Set the temperature of the main heat bath (in Kelvin).

Parameters

  temp | the temperature of the heat bath, measured in Kelvin

References simtk.openmm.openmm.stripUnits().

def step | ( |  | self,
|  |  | args
| ) |  |

step(DrudeLangevinIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py